mobile hack 楽しい生活情報を携帯しよう

コンセプト「楽しい生活情報を携帯する」

composer require が動作しない。

% sudo composer require geoip2/geoip2:~2.0                                                                                       /var/lib/jenkins/jobs/project/workspace [git workspace 2a0e81c...] 
./composer.json has been updated
Loading composer repositories with package information



  [RuntimeException]                                                                                                                                                                                                           
  Failed to execute git clone --mirror 'https://project:***@project/gitbucket/git/project/point.git' '/root/.composer/cache/vcs/https---project-deproy-lproject-deproy1-project-gitbucket-git-project-point.git/'
  Cloning into bare repository '/root/.composer/cache/vcs/https---project-deproy-lproject-deproy1-project-gitbucket-git-project-point.git'...
  fatal: unable to access 'https://project-deproy:lproject-deproy1@project/gitbucket/git/project/point.git/': SSL certificate problem: self signed certificate



require [--dev] [--prefer-source] [--prefer-dist] [--no-progress] [--no-update] [--update-no-dev] [--update-with-dependencies] [--ignore-platform-reqs] [--sort-packages] [packages1] ... [packagesN]

qiita.com

下記が結果で問題なさそうで、手詰まり。

% curl -sS https://getcomposer.org/installer | php -- --check                                                                    /var/lib/jenkins/jobs/project/workspace [git workspace 2a0e81c...] 
#!/usr/bin/env php
All settings correct for using Composer

gitで「SSL certificate problem: self signed certificate」と表示された時の対処法
こちらで user を合わせて行ったら問題を解決できました。

広告を非表示にする